/* $Id: debug.h,v 1.5 2002/11/25 12:02:40 ls Exp $ */

/**
 * \file debug.h
 * \brief Header for debugging constants.
 * \author Juerg Reusser, Luzian Scherrer
 *
 * This header provides constants to identify the debugging messages
 * generated by all the other parts of the sourcecode.
 */


/** \def DEBUG_NONE No debugging */
#define DEBUG_NONE        0  

/** \def DEBUG_PARSER Debug the parser */
#define DEBUG_PARSER      1  

/** \def DEBUG_CODEGEN Debug the code generator*/
#define DEBUG_CODEGEN     2  

/** \def DEBUG_EXECUTION Debug the virtual machine execution */
#define DEBUG_EXECUTION   4  

/** \def DEBUG_DUMPREGS Dump registers during execution */
#define DEBUG_DUMPREGS    8  

/** \def DEBUG_HOSTLIST Debug hostlist handling */
#define DEBUG_HOSTLIST   16  

/** \def DEBUG_ICMP Debug ICMP calculation */
#define DEBUG_ICMP       32  

/** \def DEBUG_TRACE Debug the whole execution cycle*/
#define DEBUG_TRACE      64  

void debug(int level, char *message);
